<div class="shopping-cart">
  <!-- <h1>Shopping Cart</h1>
  <ng-container *ngIf="cart$ | async as cart">
    <p>You have {{ cart.totalItemsCount }} items in your shopping cart.</p>
    <table mat-table [dataSource]="cart.items" matSort class="mat-elevation-z8"> -->
  <!--- Note that these columns can be defined in any order.
                The actual rendered columns are set as a property on the row definition" -->

  <!-- Product Column -->
  <!-- <ng-container matColumnDef="product">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Product</th>
        <td mat-cell *matCellDef="let item">{{ item.product.title }}</td>
      </ng-container> -->

  <!-- Quantity Column -->
  <!-- <ng-container matColumnDef="quantity">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Quantity</th>
        <td mat-cell *matCellDef="let item">{{ item.quantity }}</td>
      </ng-container> -->

  <!-- Price Column -->
  <!-- <ng-container matColumnDef="price">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Price</th>
        <td mat-cell *matCellDef="let item">
          {{ item.totalPrice | currency: "USD" }}
        </td>
        <td mat-footer-cell *matFooterCellDef>
          {{ cart.totalPrice | currency: "USD" }}
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
    </table>
  </ng-container> -->
  <h1>Shopping Cart</h1>
  <ng-container *ngIf="cart$ | async as cart">
    <p>
      You have {{ cart.totalItemsCount }} items in your shopping cart.
      <button
        *ngIf="cart.items.length"
        (click)="clearCart()"
        mat-button
        color="primary"
      >
        Clear Shopping Cart
      </button>
    </p>
    <table>
      <thead>
        <tr>
          <th></th>
          <th>Product</th>
          <th class="quantity-column">Quantity</th>
          <th class="price-column text-right">Price</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of cart.items">
          <td>
            <div
              class="thumbail"
              [style.backgroundImage]="'url(' + item.imageUrl + ')'"
            ></div>
          </td>
          <td>{{ item.title }}</td>
          <td>
            <app-product-quantity
              [product]="item"
              [shopping-cart]="cart"
            ></app-product-quantity>
          </td>
          <td class="text-right">{{ item.totalPrice | currency: "USD" }}</td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <th></th>
          <th></th>
          <th></th>
          <th class="text-right">{{ cart.totalPrice | currency: "USD" }}</th>
        </tr>
      </tfoot>
    </table>
    <a
      *ngIf="cart.items.length"
      routerLink="/check-out"
      mat-stroked-button
      color="warn"
    >
      Check Out
    </a>
  </ng-container>
</div>
